#undef TRACE_SYSTEM
#define TRACE_SYSTEM rule
#if !defined(_TRACE_RULE_H) || defined(TRACE_HEADER_MULTI_READ)
#define _TRACE_RULE_H

#include <linux/types.h>
#include <linux/tracepoint.h>

DECLARE_EVENT_CLASS(phys_rule_operation_template,

	TP_PROTO(unsigned long start, unsigned long size, int ret, unsigned long long delta),

	TP_ARGS(start, size, ret, delta),

	TP_STRUCT__entry(
		__field(	unsigned long,	start	)
		__field(	unsigned long,	end	)
		__field(	int,	ret	)
		__field(	unsigned long long,	delta)
	),

	TP_fast_assign(
		__entry->start	= start;
		__entry->end	= start + size - 1;
		__entry->ret	= ret;
		__entry->delta	= delta;
	),

	TP_printk("[0x%lx-0x%lx] ret=%d delta=%llu",
					__entry->start,
					__entry->end,
					__entry->ret,
					__entry->delta)
);

DEFINE_EVENT(phys_rule_operation_template, phys_rule_sync,

	TP_PROTO(unsigned long start, unsigned long size, int ret, unsigned long long delta),

	TP_ARGS(start, size, ret, delta)
);

DEFINE_EVENT(phys_rule_operation_template, phys_rule_remove,

	TP_PROTO(unsigned long start, unsigned long size, int ret, unsigned long long delta),

	TP_ARGS(start, size, ret, delta)
);


#endif /* _TRACE_KSEMEM_H */

#undef TRACE_INCLUDE_PATH
#define TRACE_INCLUDE_PATH  .
#define TRACE_INCLUDE_FILE rule_event

/* This part must be outside protection */
#include <trace/define_trace.h>
