# ./cve-cal.sh  <from-commit-id>
# used to calculate fixed cve bug since <from-commit-id>

function usage()
{
        echo -e "`basename $0` <-t> <commit-id>"
	echo -e "  -h \t\t\tshow this help info"
	echo -e "  -t \t\t\tlist every commit with TASK ID"
}

ARGS=`getopt -o th -- "$@"`
if [ $? != 0 ]; then
        echo "Terminating..."
        usage && exit 1
fi

eval set -- "${ARGS}"

DOALL="false"
OMSG=""

while true
do
	case $1 in
		-h)
			usage
			exit 0;;
		-t)
			DOALL="true"
			shift 1;;
		--)
			shift
			break;;
	esac
done

last_release=$(git log --oneline  -1 CHANGELOG.md  | awk '{print $1}')

if ! [ -z $1 ]; then
	git log -1 $1 &> /dev/zero
	if [ $? -eq 0 ]; then
		last_release=$1
	else
		echo "commit id<$1> is not valid, use default $(git log --oneline -1 $last_release)"
	fi
fi

for cid in $(git log ${last_release}.. --oneline | awk '{print $1}')
do 
	OMSG=""
	cve=$(git log $cid -1 | grep "CVE: CVE-[0-9]*" | sort -u | sed 's/CVE: //g');
	bug=$(git log $cid -1 | grep "bug: \|Bug: " | awk '{print $2}' | sed 's/#//g' | xargs );
	task=$(git log $cid -1 | grep "task: \|Task: " | awk '{print $2}' | sed 's/#//g' | xargs );
	if [ "0$cve" != "0" ]; then
		if [ "0$task" != "0" ]; then
			OMSG="[task#${task}]"
		fi
		if [ "0$bug" != "0" ]; then
			OMSG="${OMSG}[bug#${bug}]"
		fi
		if [ "0$OMSG" != "0" ]; then
			echo $cve "$OMSG"
		else
			echo $cve [task#none]
		fi
	fi ;
done  | sort -u -k 2

if [ ${DOALL} == "true" ]; then
	echo -e "\n---------------------------------------------\n"
	for cid in $(git log ${last_release}.. --oneline | awk '{print $1}'); do
		OMSG=""
		cve=$(git log $cid -1 | grep "CVE: CVE-[0-9]*" | sort -u | sed 's/CVE: //g');
		bug=$(git log $cid -1 | grep "bug: \|Bug: " | awk '{print $2}' | sed 's/#//g' | xargs );
		task=$(git log $cid -1 | grep "task: \|Task: " | awk '{print $2}' | sed 's/#//g' | xargs );

		if [ "0$task" != "0" ]; then
			OMSG="[task#${task}]"
		fi
		if [ "0$bug" != "0" ]; then
			OMSG="${OMSG}[bug#${bug}]"
		fi
		if [ "0$OMSG" = "0" ]; then
			OMSG="[task#none]"
		fi

		if [ "0$cve" != "0" ]; then
			echo "${OMSG}" $cve $(git log --oneline $cid -1)
		else
			echo "${OMSG}" $(git log --oneline $cid -1)
		fi ;
	done
fi
